/**
 *
 * Openutils testing library (http://www.openmindlab.com/products/testing.html)
 *
 * Copyright(C) 2005-2013, Openmind S.r.l. http://www.openmindonline.it
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/lgpl-2.1.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package it.openutils.testing.dbunit.datatype;

import org.dbunit.dataset.datatype.DataType;
import org.dbunit.dataset.datatype.DataTypeException;
import org.dbunit.ext.hsqldb.HsqldbDataTypeFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/**
 * @author fcarone
 * @version $Id: HsqlDatatypeFactory.java 4166 2012-12-23 14:07:23Z fgiust $
 */
@Deprecated
public class HsqlDatatypeFactory extends HsqldbDataTypeFactory
{

    /**
     * Logger.
     */
    private Logger log = LoggerFactory.getLogger(HsqlDatatypeFactory.class);

    /**
     * {@inheritDoc} Needed to fix Boolean type recognition for HSQLDB
     */
    @Override
    public DataType createDataType(int sqlType, String sqlTypeName) throws DataTypeException
    {
        log.warn("{} is deprecated, please use {}", getClass().getName(), HsqldbDataTypeFactory.class.getName());
        return super.createDataType(sqlType, sqlTypeName);
    }
}
